#!/bin/bash

EXCL=" --exclude=backups --exclude=rrds --exclude=hwconf --exclude=prelink.cache --exclude=tmp --exclude=temp --exclude=blkid --exclude=rmt --exclude=grub.conf --exclude=ifdown --exclude=ifup --exclude=rc.firewall* --exclude=*.hosts"
/usr/bin/rsync -aHvAXx --delete-excluded -e "/usr/bin/ssh -p 9559 -o ConnectTimeout=10 -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null"$EXCL root@master1:/etc/ /tmp/etc/
/usr/bin/rsync -aHvAXx --delete-excluded -e "/usr/bin/ssh -p 9559 -o ConnectTimeout=10 -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null"$EXCL root@master1:/usr/local/adminbcm/ /tmp/adminbcm/
diff -Naurwp $EXCL /etc/ /tmp/etc/ >/tmp/etc.diff
diff -Naurwp $EXCL /usr/local/adminbcm/ /tmp/adminbcm/ >/tmp/adminbcm.diff
